Subject: bug#32607: closed (Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Sep 2018 21:48:02 +0000

Your bug report

#32607: 27.0.50; pop-to-buffer in next-error-no-select

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32607: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32607
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select
From: Juri Linkov <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Sep 2018 00:47:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> All that I understood from this thread, is that since next-error-no-select
>> window juggling involves two windows, it has to override the same-window
>> user customization using display-buffer-overriding-action.  Currently
>> I see no other solution that don't involve more fundamental changes.
>
> Agreed.  Let's install the 'display-buffer-overriding-action' change
> and leave it there.

OK, done.

Subject: 27.0.50; pop-to-buffer in next-error-no-select
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Sun, 02 Sep 2018 01:32:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Suppose we have such customization:

  (setq display-buffer-alist '(("\\`\\*grep\\*\\'" display-buffer-same-window)))

Now after running grep with a non-empty output in ‘emacs -Q’,
typing ‘C-o’ (compilation-display-error) will display two identical
buffers instead of displaying the buffer with the found grep hit.

The problem is with pop-to-buffer in next-error-no-select.
I wonder what is an idiomatic way to ensure a buffer is already
displayed in some window, to not display the same buffer
in other window?